#ifndef NODEPOSITION_H_
#define NODEPOSITION_H_

#include <string>
#include <list>
#include "quantities/Position.h"

namespace cosi {

namespace rules {

namespace wiredbas {

class NodePosition {
	std::list< Position > mPositions;
public:
	NodePosition(std::list< Position > pPositions);
	virtual ~NodePosition();
	std::list< Position > GetPositions();
	void AddPosition(Position pP);
};

}

}

}

#endif /*NODEPOSITION_H_*/
